Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.dimensionlookup
Class DimensionLookupData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.dimensionlookup.DimensionLookupData

All Implemented Interfaces:
  StepDataInterface

    public class DimensionLookupData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`org.pentaho.di.core.hash.ByteArrayHashMap` | `cache`
`org.pentaho.di.core.row.RowMetaInterface` | `cacheKeyRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `cacheValueRowMeta`
`int` | `datefieldnr`
`org.pentaho.di.core.database.Database` | `db`
`org.pentaho.di.core.row.RowMetaInterface` | `dimensionUpdateRowMeta`
`int[]` | `fieldnrs`
`org.pentaho.di.core.row.RowMetaInterface` | `insertRowMeta`
`int[]` | `keynrs`
`org.pentaho.di.core.row.RowMetaInterface` | `lookupRowMeta`
`Date` | `max_date`
`Date` | `min_date`
`Long` | `notFoundTk`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`DimensionCache` | `preloadCache`
`int` | `preloadFromDateIndex`
`List<Integer>` | `preloadIndexes`
`int[]` | `preloadKeyIndexes`
`int` | `preloadToDateIndex`
`PreparedStatement` | `prepStatementDimensionUpdate`
`PreparedStatement` | `prepStatementInsert`
`PreparedStatement` | `prepStatementLookup`
`PreparedStatement` | `prepStatementPunchThrough`
`PreparedStatement` | `prepStatementUpdate`
`org.pentaho.di.core.row.RowMetaInterface` | `punchThroughRowMeta`
`String` | `realSchemaName`
`String` | `realTableName`
`org.pentaho.di.core.row.RowMetaInterface` | `returnRowMeta`
`String` | `schemaTable`
`long` | `smallestCacheKey`
`int` | `startDateChoice`
`int` | `startDateFieldIndex`
`org.pentaho.di.core.row.RowMetaInterface` | `updateRowMeta`
`Date` | `valueDateNow`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`DimensionLookupData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### valueDateNow

    public Date valueDateNow

### db

    public org.pentaho.di.core.database.Database db

### min_date

    public Date min_date

### max_date

    public Date max_date

### keynrs

    public int[] keynrs

### fieldnrs

    public int[] fieldnrs

### datefieldnr

    public int datefieldnr

### cache

    public org.pentaho.di.core.hash.ByteArrayHashMap cache

### smallestCacheKey

    public long smallestCacheKey

### notFoundTk

    public Long notFoundTk

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### lookupRowMeta

    public org.pentaho.di.core.row.RowMetaInterface lookupRowMeta

### returnRowMeta

    public org.pentaho.di.core.row.RowMetaInterface returnRowMeta

### prepStatementLookup

    public PreparedStatement prepStatementLookup

### prepStatementInsert

    public PreparedStatement prepStatementInsert

### prepStatementUpdate

    public PreparedStatement prepStatementUpdate

### prepStatementDimensionUpdate

    public PreparedStatement prepStatementDimensionUpdate

### prepStatementPunchThrough

    public PreparedStatement prepStatementPunchThrough

### insertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface insertRowMeta

### updateRowMeta

    public org.pentaho.di.core.row.RowMetaInterface updateRowMeta

### dimensionUpdateRowMeta

    public org.pentaho.di.core.row.RowMetaInterface dimensionUpdateRowMeta

### punchThroughRowMeta

    public org.pentaho.di.core.row.RowMetaInterface punchThroughRowMeta

### cacheKeyRowMeta

    public org.pentaho.di.core.row.RowMetaInterface cacheKeyRowMeta

### cacheValueRowMeta

    public org.pentaho.di.core.row.RowMetaInterface cacheValueRowMeta

### schemaTable

    public String schemaTable

### realTableName

    public String realTableName

### realSchemaName

    public String realSchemaName

### startDateChoice

    public int startDateChoice

### startDateFieldIndex

    public int startDateFieldIndex

### preloadKeyIndexes

    public int[] preloadKeyIndexes

### preloadFromDateIndex

    public int preloadFromDateIndex

### preloadToDateIndex

    public int preloadToDateIndex

### preloadCache

    public DimensionCache preloadCache

### preloadIndexes

    public List<Integer> preloadIndexes

Constructor Detail

### DimensionLookupData

    public DimensionLookupData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD